/* public/css/reset.css */

/* Reset margins and padding for all elements */
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol,
li {
    margin: 0;
    padding: 0;
    font-family: "Poppins";
}

/* Apply a universal box-sizing to ensure consistent sizing behavior */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Reset list styles */
ul,
ol {
    list-style: none;
}

:root {
    --primary-color-lighter: #31cc90 !important;
    --primary-color: #5a8500 !important;

    --primary-color-hover: #28610e;
}

a {
    color: black;
}

.btn-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

.btn-round {
    border-radius: 50px;
    padding-left: 1rem;
    padding-right: 1rem;
}

.custom-btn-round {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-weight: bold;
    width: 90%;
    height: 46px;
    flex-shrink: 0;
    border-radius: 50px;
    background: #2f5270;
    transition: background-position 0.3s ease;
    overflow: hidden;
    position: relative;
    text-align: center;
    z-index: 1;
    border-radius: 50px;
    padding-left: 1rem;
    padding-right: 1rem;
}

.custom-btn-round:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #1e3a52;
    top: 0;
    left: -100%;
    transition: left 0.3s ease;
    z-index: -1;
}

.custom-btn-round:hover {
    background-position: right;
    background-color: none !important;
}

.custom-btn-round:hover:after {
    left: 0;
}

.sender-pp-container {
    width: 5vw;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1.5%;
    height: 100%;
}

.sender-pp {
    aspect-ratio: 1/1;
    width: 100%;
    border-radius: 50%; /* Makes the frame circular */
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f0; /* Background color of the circular frame */
}

.sender-pp img {
    max-width: 100%;
    object-fit: cover;
}

.profile-photo {
    aspect-ratio: 1/1;
    width: 40%;
    border-radius: 50%; /* Makes the frame circular */
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f0; /* Background color of the circular frame */
}

.unread-lighter {
    display: flex;
    width: 1vh;
    height: 100%;
    background-color: var(--primary-color-lighter);
}

.notification-pop {
    display: inline;
    position: fixed !important;
    height: 2vh !important;
    width: 2vh !important;
    background-color: red;
    right: 0 !important;
    bottom: 0 !important;
    margin-right: 7.5vw;
    margin-bottom: 97vh;
    border-radius: 50%;
    z-index: 2000 !important;
}

.pull1vh {
    margin-top: -1vh !important;
}

.hidden {
    display: none !important;
}

.notification-content {
    display: flex;
    margin-bottom: 2%;
    border: 1px solid rgba(0, 0, 0, 0.25) !important;
    height: 12vh;
    border-radius: 8px;
    width: 100%;
    background-color: rgb(255, 255, 255);
    flex-direction: row;
    overflow: hidden;
}

.notification-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 80%;
    background-color: rgba(0, 0, 255, 0);
    text-align: left;
}

.notification-content h3 {
    color: red !important;
}

.notif-title {
    top: 0;
    left: 0;
    text-align: left;
}

.notif-message {
    text-align: left;
    font-size: 0.8rem;
}

.notif-time {
    text-align: left;
    opacity: 0.8;
    font-size: 0.7rem;
}

.notif-main-content {
    width: 80%;
    padding: 1%;
    padding-left: 1.5%;
    background-color: rgba(128, 115, 0, 0);
}

.delete-button-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20%;
    height: 100%;
}

.notification-content:hover {
    color: white;
    background-color: rgb(0, 75, 136);
}

.unread {
    color: rgb(0, 0, 0);
    background-color: rgb(201, 201, 201) !important;
}

.unread:hover {
    color: white;
    background-color: rgb(3, 0, 58) !important;
}

.notif-top-container {
    height: 20%;
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: rgba(255, 0, 0, 0);
}

.notification-tile {
    text-align: left !important;
    display: none;
    position: fixed;
    margin-left: 63vw;
    padding: 1vw;
    margin-top: 6vh;
    background-color: #ffffff;
    width: 35vw;
    align-items: center;
    justify-content: stretch;
    height: 79vh;
    z-index: 2000;
    flex-direction: column;
    overflow-x: scroll;
    border-radius: 2%;
    filter: drop-shadow(1px 1px 8px #00000070);
}

.notif-tile-title {
    display: flex;
    font-size: 1.8rem;
    width: 100%;
    height: 50%;
    padding: 1%;
    font-weight: 700;
    background-color: rgba(255, 0, 0, 0);
}

.notif-tile-selector {
    display: flex;
    width: 100%;
    height: 45%;
    padding: 1%;
    justify-content: space-between;
    align-items: flex-end;
}

.notification-tile::-webkit-scrollbar {
    display: none;
}

.btn-primary {
    background-color: var(--primary-color);
    outline: none !important;
    border: none !important;
    /* Other button styles */
}
.btn-primary:hover {
    background-color: var(--primary-color-hover);
    /* Other button styles */
}

.btn-outline-primary {
    outline-color: var(--primary-color);
    border-color: var(--primary-color);
    color: var(--primary-color);
    /* Other button styles */
}
.btn-outline-primary:hover {
    background-color: var(--primary-color-hover);
    /* Other button styles */
}

.custom-form-label {
    font-size: 0.8rem;
    font-weight: 700;
    margin-bottom: -1%;
}

.custom-center-title {
    display: flex;
    justify-content: center;
    font-size: 1.2rem;
    font-weight: 700;
}

/* Optionally add more reset styles as needed */

.label-text {
    color: black;
}

.text-bold {
    font-weight: 700;
}

.main-wrapper {
    display: flex;
    width: 100vw;
    height: 100vh;
}

button,
input[type="button"],
input[type="submit"],
input[type="reset"] {
    background: none;
    border: none;
    color: inherit;
    font: inherit;
    padding: 0;
    cursor: pointer;
    outline: inherit;
    /* Additional styles to remove outline on focus if desired */
    outline: none;
    border: 1px solid transparent;
}

.sidebar-wrapper {
    display: flex;
    position: fixed;
    justify-content: center;
    align-items: center;
    width: 20vw;
    height: 100vh;
    background-color: rgb(255, 255, 255);
    z-index: 1000;
}

.sidebar-container {
    height: 98%;
    width: 95%;
    display: flex;
    border-radius: 13px;
    background: linear-gradient(
        180deg,
        #5a8500 0%,
        #5c820a 40.63%,
        #28610e 100%
    );
    flex-direction: column;
    filter: drop-shadow(6px 5px 10px #0000005b);
}

.sidebar-top-logo {
    display: flex;
    height: 10%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0);
    color: #fff;
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    font-weight: bolder;
    justify-content: center;
    align-items: center;
    padding: 10%;
}

.sidebar-top-logo h6 {
    font-weight: 600 !important;
}

.custom-text {
    margin-top: 1vh;
    color: #fff;
    text-align: center;
    font-family: Poppins;
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.jabatan-title {
    color: #ffffffa9;
    text-align: center;
    font-family: Poppins;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.sidebar-middle-profile {
    display: flex;
    height: 30%;
    width: 100%;
    flex-direction: column;
    background-color: rgba(210, 230, 33, 0);
    justify-content: center;
    align-items: center;
    margin-bottom: 4vh;
}

.profile-photo {
    aspect-ratio: 1/1;
    width: 40%;
    border-radius: 50%; /* Makes the frame circular */
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f0; /* Background color of the circular frame */
}

.device-photo {
    aspect-ratio: 1/1;
    width: 100%;
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f000; /* Background color of the circular frame */
}

.device-photo img {
    max-width: 100%;
}

.profile-photo-card {
    aspect-ratio: 1/1;
    width: 90%;
    border-radius: 50%; /* Makes the frame circular */
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f0; /* Background color of the circular frame */
}

.profile-photo-card img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover; /* Maintain image aspect ratio and cover the circular frame */
}

.profile-photo img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover; /* Maintain image aspect ratio and cover the circular frame */
}

.display-name {
    color: #fff;
    text-align: center;
    font-size: 19px !important;
    font-style: normal !important;
    font-weight: 700 !important;
    line-height: normal !important;
}

.sidebar-item {
    display: flex;
    height: 45%;
    width: 100%;
    flex-direction: column;
    background-color: rgba(195, 212, 42, 0);
    justify-content: flex-start;
    align-items: center;
}

.lower-side-item {
    align-items: flex-end;
    padding-bottom: 5%;
    height: 15%;
    width: 100%;
    display: flex;
    background-color: rgba(255, 0, 0, 0);
}

.lower-item {
    display: flex;
    width: 90%;
    height: 15%;
    margin: 1%;
    color: rgba(255, 255, 255, 0.719);
    align-items: center;
    font-weight: bold;
    border-radius: 3px;
}

.li-item-sidebar {
    display: flex;
    width: 90%;
    height: 15%;
    margin: 1%;
    color: white;
    align-items: center;
    font-weight: bold;
    border-radius: 3px;
}

.item-active {
    background: #21520a;
    font-weight: 700 !important;
}

.li-item-sidebar:hover {
    background-color: #1e4b09;
    color: white;
}

a:hover {
    text-decoration: none;
    color: rgb(26, 26, 26);
}

.li-item-icon {
    font-size: large;
    background-color: rgba(44, 0, 0, 0);
    display: flex;
    margin-top: -3%;
    height: 100%;
    width: 20%;
    align-items: center;
    justify-content: center;
}

.li-item-title {
    font-size: medium;
    background-color: rgba(255, 90, 90, 0);
    display: flex;
    height: 100%;
    width: 80%;
    align-items: center;
    color: #fff;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.main-content-wrapper {
    display: flex;
    flex-direction: column;
    margin-left: 20vw;
    width: 80vw;
    height: 100vh;
}

.top-nav-bar-wrapper {
    display: flex;
    background-color: rgba(99, 122, 255, 0);
    width: 100%;
    height: 8%;

    justify-content: space-between;
}

.top-nav-bar-left-side {
    margin-left: 1vw;
    display: flex;
    width: 50%;
    flex-direction: column;
}

.page-nav-container {
    margin-top: -1%;
    color: rgba(0, 0, 0, 0.5);
    font-size: 0.7rem;
}

.page-nav-container a {
    color: #305270bb;
}

.page-nav-container a:hover {
    color: #305270;
}

.page-title-container {
    display: flex;
    align-items: flex-end;
    height: 80%;
    width: 100%;
    background-color: rgba(255, 255, 23, 0);
    color: #305270;
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.mini-card-container {
    width: 100%;
    height: 50%;
    column-gap: 2vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start; /* Optional: Adjusts horizontal alignment */
    align-items: center; /* Optional: Adjusts vertical alignment */
}


.mini-card {
    display: flex;
    width: 15vh;
    margin-right: 0;
    border-radius: 8px;
    border: solid 1px rgba(0, 0, 0, 0.233);
    box-shadow: 0.5px 0.5px 8px 2px rgba(0, 0, 0, 0.183);
    padding: 10%;
    margin-bottom: 0;
    height: 15vh;
    background-color: rgb(255, 255, 255);
    font-size: 0.65rem;
    font-weight: 400;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.mini-card span {
    font-size: 2.5rem !important;
}

.mini-card:hover {
    background-color: rgb(230, 230, 230);
    color: black;
}

.toolbar-container {
    display: flex;
    height: 100%;
    width: 25%;
    background-color: rgba(255, 95, 95, 0);
}

.toolbar-item-container {
    display: flex;
    width: 90%;
    height: 90%;
    background-color: rgba(255, 152, 152, 0);
    justify-content: flex-end;
    align-items: center;
}

.toolbar-item {
    display: flex;
    width: 4vw;
    height: 4vw;
    -webkit-text-stroke: 1px;
    font-size: larger;
    background-color: rgba(0, 148, 49, 0);
    color: #1e3a52;
    margin-left: 1%;
    margin-right: 1%;
    justify-content: center;
    align-items: center;
}

.toolbar-item:hover {
    text-decoration: none;
    color: var(--primary-color);
}

.triangle {
    position: fixed;
    z-index: 999999;
    width: 2vw;
    height: 2vw;
    transform: rotate(45deg);
    background-color: rgb(237, 237, 237);
    border-radius: 5px;
    top: 0;
    right: 0;
    margin-top: 5.5vh;
    margin-right: 3vw;
}

.menuFloatingBar {
    display: none;
    flex-direction: column !important;
    height: 50vh;
    border: 1px solid rgba(0, 0, 0, 0.477);
    width: 18vw;
    background-color: rgb(237, 237, 237);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* horizontal-offset vertical-offset blur-radius color */
    border-radius: 10px;
    position: fixed;
    z-index: 99999;
    top: 0;
    right: 0;
    margin-top: 7vh;
    margin-right: 1vw;
    padding: 1%;
}

.floater-button-container {
    margin-top: 10%;
    display: flex;
    height: 40%;
    background-color: rgba(255, 0, 0, 0);
    width: 100%;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
}

.floater-button {
    display: flex;
    height: 40%;
    width: 95%;
    color: var(--primary-color-hover);
    font-weight: 700;
    font-size: 0.8rem;
    justify-content: center;
    align-items: center;
    background-color: rgb(202, 202, 202);
    border-radius: 5px;
}

.floater-button:hover {
    background-color: var(--primary-color-hover);
    color: white;
}

.display-floating-name {
    color: black !important;
}

.acc-profile-photo-container {
    margin-top: 5%;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 30%;
    background-color: rgba(255, 0, 0, 0);
}

.display-flex {
    display: flex !important;
}

.display-none {
    display: none !important;
}

.content-wrapper {
    display: flex;
    justify-content: center;
    background-color: rgba(99, 99, 0, 0);
    width: 100%;
    height: 91%;
}

.main-content {
    display: flex;
    position: relative;
    flex-direction: column;
    overflow: auto;
    align-items: center;
    width: 98%;
    height: 100%;
    padding: 2%;
    border-radius: 8px;
    filter: drop-shadow(6px 5px 10px #0000005b);
    background-color: rgb(255, 255, 255);
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer and Edge */
}

.main-content::-webkit-scrollbar {
    display: none; /* Hide scrollbar for Chrome, Safari, and Opera */
}

.main-content-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.floating-button {
    position: fixed;
    bottom: 10vh;
    right: 3vw;
    z-index: 1000; /* Ensure the button appears on top of other elements */
}

.floating-button2 {
    position: fixed;
    bottom: 10vh;
    right: 5vw;
    z-index: 1000; /* Ensure the button appears on top of other elements */
}

.button2 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10rem;
    height: 3rem;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 15px;
    text-align: center;
    line-height: 50px;
    box-shadow: 0px 0px 10px 10px rgb(255, 255, 255);
    text-decoration: none;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 50%;
    font-size: 2rem;
    text-align: center;
    line-height: 50px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    text-decoration: none;
}

.spacer {
    margin-bottom: 50vh;
}

.profile-photox {
    max-width: 30px;
    border-radius: 50%;
    /* Adjust the maximum width as needed */
    max-height: 30px;
    /* Adjust the maximum height as needed */
    width: auto;
    height: auto;
}

.top-content-container {
    display: flex;
    width: 100%;
    height: 5%;
    align-items: center;
    justify-content: space-between;
}

.custom-top-content-header {
    font-size: 1.2rem;
    font-weight: 700;
}

.device-status {
    font-size: 0.8rem;
}

.button:hover {
    background-color: var(--primary-color-hover);
    color: white;
}

.button2:hover {
    background-color: var(--primary-color-hover);
    color: white;
}

.mobile-screen {
    display: none;
}

.card-main-container {
    display: flex;
    flex-direction: row;
    background-color: rgba(0, 128, 0, 0);
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 100%;
}

.card-main-container a {
    text-decoration: none;
    color: #305270;
}

.card-main-container h5 {
    font-family: Poppins;
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.card-custom {
    display: flex;
    height: 18vh;
    padding: 1%;
    padding-top: 2%;
    flex-direction: row;
    width: 32%;
    border-radius: 8px;
    background: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.199);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    margin-right: 1%;
    margin-bottom: 3%;
}

.card-custom:hover {
    color: white !important;
    background-color: var(--primary-color);
}

.card-icon {
    height: 100%;
    width: 30%;
    background-color: rgba(255, 0, 0, 0);
    display: flex;
    justify-content: center;
    align-items: flex-start;
    align-self: center;
}

.card-main-content {
    margin-left: 2%;
}

small {
    color: rgba(255, 255, 255, 0.356);
    font-size: xx-small;
}

.custom-small {
    margin-top: 2vh !important;
}

/* Add this to your CSS file or in a <style> tag */
.alertx-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.alertx {
    height: 10vh;
    width: 30vw;
    display: flex;
    align-items: center;
    background-color: #4caf50;
    color: white;
    font-size: 1rem;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* horizontal-offset vertical-offset blur-radius color */

    transition: transform 0.3s ease-in-out;
    position: relative; /* Add this line to make the position:relative */
}

.alertx-title {
    font-size: 1.2rem;
    font-weight: 700;
}

.alertx-danger {
    background-color: rgb(255, 66, 66);
}

.alertx-warning {
    background-color: rgb(255, 170, 66);
}

.close-btn {
    cursor: pointer;
    font-size: 2rem;
    position: absolute;
    top: 5px; /* Adjust the top and right values for positioning */
    right: 10px;
}

.alertx:hover {
    transform: scale(1.05);
}

.pagination-container {
    width: 100%; /* Set initial width to 100% */
}

.custom-kpi-container {
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, 0.212);
    background-color: rgba(155, 155, 155, 0.349);
    display: flex;
    flex-direction: column;
    padding: 2%;
}

.custom-kpi-container-row {
    border-radius: 5px;
    background-color: rgba(155, 155, 155, 0.349);
    border: 1px solid rgba(0, 0, 0, 0.212);
    padding: 2%;
    margin-bottom: 2%;
    display: flex;
    flex-direction: row;
}

.user-container {
    display: flex;
    padding: 2%;
    background-color: white;
    border: solid 1px rgba(0, 0, 0, 0.233);
    box-shadow: 0.5px 0.5px 8px 2px rgba(0, 0, 0, 0.183);
    border-radius: 10px;
}

.icon-item-container {
    display: flex;
    padding: 2%;
    background-color: white;
    border: solid 1px rgba(0, 0, 0, 0.233);
    box-shadow: 0.5px 0.5px 8px 2px rgba(0, 0, 0, 0.183);
    border-radius: 10px;
}

.user-container:hover {
    background-color: rgb(230, 230, 230);
}

.user-left-container {
    width: 7%;
    background-color: rgba(0, 0, 255, 0);
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile-photo-content {
    aspect-ratio: 1/1;
    width: 100%;
    border-radius: 50%; /* Makes the frame circular */
    overflow: hidden; /* Hides the parts of the image outside the circular frame */
    display: flex;
    justify-content: center; /* Center the image horizontally */
    align-items: center; /* Center the image vertically */
    background-color: #f0f0f0; /* Background color of the circular frame */
    filter: drop-shadow(6px 5px 10px #0000005b);
}

.exit-permission-modal {
}

.profile-photo-content img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover; /* Maintain image aspect ratio and cover the circular frame */
}

.tambah-button-container {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.super-spacer {
    display: flex;
    background-color: rgba(238, 61, 61, 0);
    height: 150px !important;
    width: 100vw !important;
}

.select-all-div {
    display: flex;
    align-items: center;
}

.empty-box-lg {
    width: 10%;
}

.att-container {
    width: 98%;
    margin-top: 1%;
    margin-bottom: 1%;
    height: 10vh;
    display: flex;
    border-radius: 5px;
    padding: 2%;
    justify-content: space-between;
    align-items: center;
    border: solid 1px rgba(0, 0, 0, 0.233);
    box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.183);
    background-color: rgb(255, 255, 255);
}

.att-container:hover {
    background-color: #dee2e6;
}

.custom-attendance-card {
    width: 100%;
    border-radius: 10px;
    background-color: red;
}

.presence-layer-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: scroll;
}

.custom-textarea {
    height: 20em !important;
}

.modal {
    background: rgba(0, 0, 0, 0.5);
}
.modal-backdrop {
    display: none;
}

.presence-layer-content::-webkit-scrollbar {
    width: 0; /* Adjust the width as needed */
}

.text-smaller {
    font-size: smaller !important;
}

.text-large {
    font-size: large;
}

.text-larger {
    font-size: larger;
}

.text-x-large {
    font-size: x-large;
}

.custom-form-control {
    background-color: #f5f5f5;
}

.custom-placeholder::placeholder {
    color: black;
}

.custom-fillable-placeholder::placeholder {
    color: rgba(0, 0, 0, 0.2);
}

.custom-form-control:read-only {
    background-color: white;
    color: black !important ;
}

.dual-time-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.separator {
    display: flex;
    flex-direction: row;
    margin-right: 3%;
    margin-left: 3%;
}

.mobile-data-container {
    cursor: pointer;
}

.force-pointer {
    color: black;
    cursor: pointer !important;
}

.force-pointer:hover() {
    filter: drop-shadow(30px 10px 4px #4444dd) !important;
}

@media (max-width: 767px) {
    .custom-textarea {
        height: auto !important;
    }

    .att-container {
        height: 23%;
        margin-bottom: 1%;
    }
    .dual-time-container {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .separator {
        display: flex;
        flex-direction: row;
        margin-right: 3%;
        margin-left: 3%;
    }

    .user-left-container {
        width: 15%;
    }

    .side-top-bar .bi-arrow-left {
        -webkit-text-stroke: 2px;
    }

    .empty-box-lg {
        width: 40%;
    }

    .user-container {
        height: 12%;
    }

    .unit-position {
        font-size: small;
    }

    .icon-item-container {
        height: 10%;
        padding: 3%;
    }
    /* Media query for screens with a maximum width of 767 pixels (typical mobile devices) */
    .sender-pp-container {
        width: 25%;
        padding: 3%;
    }

    .sender-pp {
        width: 50px;
        height: 50px;
    }

    .mini-card-container {
        width: 100vw;
        height: 50%;
        background-color: rgba(255, 0, 0, 0);
        row-gap: 2vh;
        column-gap: 2vh;
        display: flex;
        flex-wrap: wrap;
    }

    .mini-card {
        display: flex;
        width: 24vw;
        margin-right: 0;
        border-radius: 8px;
        border: solid 1px rgba(0, 0, 0, 0.233);
        box-shadow: 0.5px 0.5px 8px 2px rgba(0, 0, 0, 0.183);
        padding: 10%;
        margin-bottom: 0;
        height: 12vh;
        background-color: rgb(255, 255, 255);
        font-size: 0.65rem;
        font-weight: 400;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .mini-card span {
        font-size: 2.5rem !important;
    }

    .mini-card:hover {
        background-color: rgb(230, 230, 230);
        color: black;
    }

    .pagination-container {
        width: 5vw !important; /* Set width to 60% on smaller screens */
        background-color: red;
        margin-left: 20%;
    }

    .max-width-10vw {
        max-width: 10vw;
        width: 100%;
    }

    .notification-pop {
        margin-right: 33vw;
        margin-bottom: 5vh;
    }

    .mobile-screen {
        display: flex;
    }

    .center-mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .big-screen {
        display: none !important;
        width: 0;
        height: 0;
        margin: 0;
        padding: 0;
    }

    .mobile-content {
        display: flex;
        background-color: rgba(255, 0, 0, 0) !important;
        width: 100vw;
        height: 100vh;
        justify-content: center;
        align-items: center;
    }

    .mobile-content-container {
        display: flex;
        background-color: rgb(255, 134, 134) !important;
        margin-top: 10vh;
        width: 95%;
        height: fit-content;
        flex-direction: column;
    }

    .mobile-top-bar {
        display: flex;
        position: fixed;
        height: 8vh;
        width: 100vw;
        background-color: rgb(255, 255, 255);
        top: 0;
        left: 0;
        z-index: 1000;
        box-shadow: 3px 4px 15px 0px rgba(0, 0, 0, 0.25);
    }

    .side-top-bar {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 15%;
        height: 100%;
        background-color: #ffffff;
    }

    .side-top-bar:hover {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 15%;
        height: 100%;
        background-color: #c7c7c7;
    }

    .middle-top-bar {
        display: flex;
        justify-content: center;
        text-align: center;
        align-items: center;
        width: 70%;
        height: 100%;
        background-color: #ffffff;
    }

    .mobile-bottom-bar {
        display: flex;
        position: fixed;
        height: 8vh;
        width: 100vw;
        bottom: 0;
        left: 0;
        background-color: rgb(255, 255, 255);
        z-index: 1000;
        box-shadow: 3px 1px 21px 11px rgba(0, 0, 0, 0.3);
    }

    .bottom-bar-item {
        display: flex;
        height: 100%;
        width: 25%;
        background-color: #ffffff;
        flex-direction: column;
        align-items: center;
        position: relative;
    }

    .bottom-bar-item.active {
        background: linear-gradient(
            180deg,
            rgba(11, 176, 0, 0.28) 0%,
            rgba(15, 234, 0, 0) 100%
        );
    }

    .overlay {
        position: absolute;
        top: 0px; /* Adjust the positioning to place the overlay above the container */
        left: 0;
        border-radius: 0px 0px 3px 3px;
        width: 100%;
        height: 7px; /* Adjust the height of the overlay */
        background-color: #033400; /* Set the background color to green */
        z-index: 1;
    }

    .bottom-bar-icon {
        display: flex;
        width: 100%;
        color: var(--primary-color);
        height: 70%;
        padding: 5%;
        align-items: flex-end;
        justify-content: center;
        font-weight: 500 !important;
        font-size: x-large;
        -webkit-text-stroke: 1px;
    }

    .bottom-bar-text {
        margin-top: -5%;
        font-weight: normal;
        font-size: small;
        color: #305170 !important;
    }

    .bottom-bar-text.text-active {
        font-weight: bolder;
        color: #305170 !important;
    }

    .bottom-bar-item:hover {
        background: linear-gradient(
            180deg,
            rgba(11, 176, 0, 0.28) 0%,
            rgba(15, 234, 0, 0) 100%
        );
    }

    .main-wrapper {
        display: flex;
        width: 100vw;
        height: 100vh;
        justify-content: center;
        align-items: center;
    }

    .main-content-wrapper {
        display: flex;
        flex-direction: column;
        margin-left: 0vw;
        width: 100%;
        height: 100%;
    }

    .content-wrapper {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .main-content {
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        margin-top: 8vh;
        width: 100%;
        min-height: 100%;
        height: fit-content;
        padding: 2%;
        padding-top: 3%;
        border-radius: 8px;
        filter: drop-shadow(6px 5px 10px #0000005b);
        background-color: #fcfcfc;
    }

    .main-content-container {
        margin-bottom: 10vh;
        width: 100%;
        height: fit-content;
        justify-content: center;
        display: flex;
        flex-direction: column;
        padding: 1%;
    }

    .floating-button {
        position: fixed;
        bottom: 15vh;
        right: 5vw;
        z-index: 1000; /* Ensure the button appears on top of other elements */
    }

    .card-main-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1%;
        background-color: rgba(0, 128, 0, 0);
        flex-wrap: wrap;
        width: 100%;
    }

    .card-main-container a {
        text-decoration: none;
        color: #305270;
    }

    .card-main-container h5 {
        font-family: Poppins;
        font-size: 1.2rem;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
    }

    .card-custom {
        display: flex;
        height: 15vh;
        padding: 3%;
        flex-direction: row;
        width: 95%;
        border-radius: 8px;
        background: #ffffff;
        border: 1px solid rgba(0, 0, 0, 0.589);
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
        margin-right: 0;
        margin-bottom: 2%;
    }

    .card-custom:hover {
        color: rgb(255, 255, 255) !important;
        background-color: var(--primary-color-hover);
    }

    .card-icon {
        height: 90%;
        width: 23%;
        background-color: rgba(255, 0, 0, 0);
        display: flex;
        justify-content: center;
        align-items: flex-start;
        align-self: center;
    }

    .card-main-content {
        margin-left: 2%;
    }

    .alertx-container {
        position: fixed;
        top: 10vh;
        bottom: auto;
        right: 5vw;
        z-index: 3000;
    }

    .alertx {
        height: 10vh;
        width: 90vw;
        background-color: #4caf50;
        color: white;
        padding: 15px;
        border-radius: 5px;
        box-shadow: 0 4px 8px 4px rgba(0, 0, 0, 0.4); /* horizontal-offset vertical-offset blur-radius color */

        transition: transform 0.3s ease-in-out;
        position: relative; /* Add this line to make the position:relative */
    }

    .alertx-title {
        font-size: 1.2rem;
        font-weight: 700;
    }

    .alertx-danger {
        background-color: rgb(255, 66, 66);
    }

    .alertx-warning {
        background-color: rgb(255, 170, 66);
    }

    .close-btn {
        cursor: pointer;
        position: absolute;
        top: 5px; /* Adjust the top and right values for positioning */
        right: 20px;
    }

    .alertx:hover {
        transform: scale(1.05);
    }

    .super-spacer {
        display: flex;
        height: 50vh;
        width: 100vw;
    }
}
